XCode

Aus Knowledgebase
Wechseln zu: Navigation, Suche

Xcode ist eine IDE für OS X von Apple. Diese Seite soll die Zuordnung von Xcode-Version zu OS X Version erleichtern.

Xcode-Version Xcode-Dateiname auf OS X installierbar erzeugt Code für OS X Compiler Compiler-Version sonstiges
April 2002 10.1 - 10.1.5
December 2002 Dec2002DevToolsCD.dmg 10.2 - 10.2.3 GCC 3.1 With the December 2002 Release for Mac OS X version 10.2 release, you can build two-level namespace binaries which run on Mac OS X 10.1 and later, and under some circumstances under 10.0.
10.1 Legacy xcode_legacy_7k594_0611959.dmg 10.3 10.0, 10.1 GCC 2.95, 3.1 gcc 2.95.2 - This compiler is needed for development of device drivers (kexts) for Mac OS X v10.0 (Cheetah) or Mac OS X v10.1 (Puma). gcc 3.1 - This was the compiler that was supported for Mac OS X v10.2 (Jaguar). Mac OS X 10.1.5 Cross Development Package - This was not shipped with Mac OS X v10.4 (Tiger) for space reasons. These packages should be installed on an existing Xcode 2.0 or later installation.
1.0 7B85_Xcode_CD.dmg 10.3 10.1, 10.2, 10.3 GCC 3.3, 2.95.2
1.5 XcodeTools1.5__CD.dmg 10.3 10.1, 10.2, 10.3 GCC 3.3, 3.1, 2.95.2 The GCC 2.95.2 compiler is needed for kernel extension development for Mac OS X v10.1 (gcc2.95.2.pkg).
2.2.1 xcode_2.2.1_8g1165_018213632.dmg 10.4+ 10.2, 10.3, 10.4 GCC 4.0, 3.3
2.4 xcode_2.4_8k1079_6936199.dmg 10.4 10.2, 10.3, 10.4 GCC Xcode Tools supports development for target platforms of Mac OS X v10.2 (Jaguar), Mac OS X v10.3 (Panther), and Universal binaries for Power PC and Intel running on Mac OS X v10.4 (Tiger) or later using Mac OS X SDK support. Xcode 2.4 adds support for 64-bit Intel development, with support for creating four-architecture Universal applications (32 and 64 bit for both Intel and PowerPC).
2.4.1 xcode_2.4.1_8m1910_6936315.dmg 10.4 10.2, 10.3, 10.4 GCC 4.0.1, 3.3 Xcode Tools 2.4.1 will run on Mac OS X v10.4 (Tiger). It will not install or run on earlier versions of

Mac OS X. Xcode Tools supports development for target platforms of Mac OS X v10.2 (Jaguar), Mac OS X v10.3 (Panther), and Universal binaries for Power PC and Intel running on Mac OS X v10.4 (Tiger) or later using Mac OS X SDK support.

2.5 xcode25_8m2558_developerdvd.dmg 10.4, 10.5 10.2 (auf 10.4 laufend), 10.3, 10.4, 10.5 GCC 4.0.1, 3.3
3.2.6 xcode_3.2.6_and_ios_sdk_4.3.dmg 10.6.6 - 10.6.8 10.5 (GCC), 10.6 (LLVM) GCC, LLVM 4.2 Xcode 3.2 requires an Intel-based Mac running Mac OS X Snow Leopard version 10.6.6 or later. iOS SDK 4.3 supports iPhone, iPod touch, and iPad. New optional LLVM compiler uses the much faster Clang front-end parser coupled with the LLVM back-end compiler for fast compiles and fast executable code.The LLVM compiler will fall back to using LLVM GCC 4.2 when it encounters C++ code. GCC 4.2 is the default system compiler for the 10.6 SDK
command_line_tools_for_xcode_june_2012.dmg 10.7 LLVM
4.2.6 CLT xcode462_cltools_10_76938260a.dmg 10.7+
command_line_tools_mountain_lion_for_xcode_5_june_2013.dmg 10.8 LLVM